Home

Get account information about a given app.

GET
https://algo.nownodes.io/v2/accounts/{address}/applications/{application-id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given a specific account public key and application ID, this call returns the account's application local state and global state (AppLocalState and AppParams, if either exists). Global state will only be returned if the provided address is the application's creator.

Parameters

formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

addressstringrequiredpath

An account public key

application-idintegerrequiredpath

An application identifier

Response

200OK

AccountApplicationResponse describes the account's application local state and global state (AppLocalState and AppParams, if either exists) for a specific application ID. Global state will only be returned if the provided address is the application's creator.

400Bad Request

Malformed address or application ID

401Unauthorized

Invalid API Token

500Internal Server Error

Internal Error

default

Unknown Error